Get ProductList By Key

Returns the ProductList specified by using the ProductListKey.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Similar to Get ProductList By Id, this endpoint pulls data about a product list. The response format matches the response format for Get ProductList By Id.

{
    "success": boolean,
    "errors": [],
    "results": [
        {
            "productListItems": [
                {
                    "productListItemId": integer,
                    "quantity": integer,
                    "productCondition": {
                        "productConditionId": integer,
                        "name": "string",
                        "language": "string",
                        "isFoil": boolean
                    }
                },
                {
                    "productListItemId": integer,
                    "quantity": integer,
                    "productCondition": {
                        "productConditionId": integer,
                        "name": "string",
                        "language": "string",
                        "isFoil": boolean
                    }
                }
            ],
            "productListId": integer,
            "productListKey": "string",
            "createdAt": "datetime"
        }
    ]
}
{
    "success": true,
    "errors": [],
    "results": [
        {
            "productListItems": [
                {
                    "productListItemId": 3103043,
                    "quantity": 3,
                    "productCondition": {
                        "productConditionId": 3799,
                        "name": "Near Mint",
                        "language": "English",
                        "isFoil": false
                    }
                },
                {
                    "productListItemId": 3103044,
                    "quantity": 2,
                    "productCondition": {
                        "productConditionId": 21163,
                        "name": "Near Mint",
                        "language": "English",
                        "isFoil": false
                    }
                }
            ],
            "productListId": 166732,
            "productListKey": "aab5f8d0-1266-46ec-87f0-daa45f3373a8",
            "createdAt": "2018-02-09T13:33:50.557"
        }
    ]
}
Path Params
uuid
required

The Key of the ProductList to be returned.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

404

Not Found

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json